| OpenMS 2.5.0

TICCalculator

Calculates the TIC of a raw mass spectrometric file.

This class was developed to benchmark multiple methods inside OpenMS for reading raw mass spectrometric data. It can be used for benchmarking these different methods as well as benchmarking external tools. Of course you can also calculate the TIC with this tool.

The command line parameters of this tool are:

     Memory consumption before 11640

    TICCalculator -- Calculates the TIC from a mass spectrometric raw file (useful for benchmarking).

    Full documentation: http://www.openms.de/documentation/UTILS_TICCalculator.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      TICCalculator <options>

    Options (mandatory options marked with '*'):

      -in <file>*            Input file to convert. (valid formats: 'mzData', 'mzXML', 'mzML', 'cachedMzML', 'dta

                             ', 'dta2d', 'mgf', 'featureXML', 'consensusXML', 'ms2', 'fid', 'tsv', 'peplist',

                             'kroenik', 'edta')

      -in_type <type>        Input file type -- default: determined from file extension or content

                             (valid: 'mzData', 'mzXML', 'mzML', 'cachedMzML', 'dta', 'dta2d', 'mgf', 'featureXM

                             L', 'consensusXML', 'ms2', 'fid', 'tsv', 'peplist', 'kroenik', 'edta')

      -read_method <method>  Method to read the file (default: 'regular' valid: 'regular', 'indexed', 'indexed_pa

                             rallel', 'streaming', 'cached', 'cached_parallel')

      -loadData <method>     Whether to actually load and decode the binary data (or whether to skip decoding

                             the binary data) (default: 'true' valid: 'true', 'false')

    Common UTIL options:

      -ini <file>            Use the given TOPP INI file

      -threads <n>           Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>      Writes the default configuration file

      --help                 Shows options

      --helphelp             Shows all options (including advanced)

     Memory consumption final 12136

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+TICCalculator Calculates the TIC from a mass spectrometric raw file (useful for benchmarking).
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'TICCalculator'
in Input file to convert.input file*.mzData,*.mzXML,*.mzML,*.cachedMzML,*.dta,*.dta2d,*.mgf,*.featureXML,*.consensusXML,*.ms2,*.fid,*.tsv,*.peplist,*.kroenik,*.edta
in_type Input file type -- default: determined from file extension or content
mzData,mzXML,mzML,cachedMzML,dta,dta2d,mgf,featureXML,consensusXML,ms2,fid,tsv,peplist,kroenik,edta
read_method regular Method to read the file regular,indexed,indexed_parallel,streaming,cached,cached_parallel
loadData true Whether to actually load and decode the binary data (or whether to skip decoding the binary data)true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false